Bug 908 - Motion notify coordinates miscalculated with extension events
: Motion notify coordinates miscalculated with extension events
Status: RESOLVED FIXED
Product: Desktop platform
gtk
: unspecified
: All Maemo
: Low normal (vote)
: 4.0
Assigned To: Rodrigo Novo
: HAF QA mailing list
:
:
:
:
  Show dependency tree
 
Reported: 2006-12-14 10:35 UTC by Tommi Komulainen
Modified: 2008-11-17 12:55 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Tommi Komulainen (reporter) nokia 2006-12-14 10:35:18 UTC
When extension events are enabled, coordinate translation in gdk apparently
goes
wrong if a gdk window is scrolled (dragged) in response to motion-notify and
the
coordinates in GdkEventMotion structure are wrong.

Steps to reproduce are roughly:
1. Create a 'main' gdk window
2. Create a child gdk window, which is smaller than the main window
3. Enable extension events
4. Press down a button on the child window
5. Move (or scroll) the main window so that both windows follow the stylus
Comment 1 Tommi Komulainen (reporter) nokia 2006-12-14 10:38:58 UTC
My guess is the culprit is the line 1832 which might ignore the changes in root
coordinates too often.

http://cvs.gnome.org/viewcvs/gtk%2B/gdk/x11/gdkevents-x11.c?view=annotate
1831 : 	owen 	1.21 if (window &&
1832 : 	owen 	1.78     xevent->xconfigure.event == xevent->xconfigure.window &&
1833 : 	hp 	1.29     !GDK_WINDOW_DESTROYED (window) &&
1834 : 	owen 	1.31     (window_private->extension_events != 0))
1835 : 	  	       _gdk_input_configure_event (&xevent->xconfigure, window);
Comment 2 Andre Klapper maemo.org 2008-06-06 17:46:29 UTC
reassigning Tommi's bugs to Rodrigo.
Comment 3 Andre Klapper maemo.org 2008-06-23 13:36:53 UTC
Upstream GTK code hasn't changed so I expect this to be still valid.
Are you sure that this is the offending code that trigges the problem?
If so, I'd forward an upstream report (though having a patch would make it more
likely to get it fixed).
Comment 4 Andre Klapper maemo.org 2008-11-14 17:54:45 UTC
Though I'm very bad in reading and understanding low-level code, I have the
vague feeling that this commit might be related:
http://svn.gnome.org/viewvc/gtk%2B?view=revision&revision=14867
Upstream bug is http://bugzilla.gnome.org/show_bug.cgi?id=324562 .
Patch is included in gtk+ 2.8.x and later.

Writing this into the void as Rodrigo does not have time to read bugmail and
Tommi has left Nokia.
Comment 5 Andre Klapper maemo.org 2008-11-14 18:08:25 UTC
Closing as FIXED for Chinook (shipping gtk+ 2.10.x including the upstream fix)
after talking to Sven.
Comment 6 Eero Tamminen nokia 2008-11-17 12:55:32 UTC
Could this have caused some of the Browser scrolling issues?